<?php
class Migration_Users extends CI_Migration{
	
	public function up(){
		$this->dbforge->add_field(array(
			'id' => array(
				'type' => 'INT',
				'constraint' => 11,
				'unsigned' => TRUE,
				'auto_increment' =>TRUE
			),
			
			'email' => array(
				'type' => 'VARCHAR',
				'constraint' => 90,
			),
			
			'password' => array(
				'type' => 'VARCHAR',
				'constraint' => 255,
			),
			
			'first_name' => array(
				'type' => 'VARCHAR',
				'constraint' => 90,
			),
			
			'last_name' => array(
				'type' => 'VARCHAR',
				'constraint' => 90,
			),
			
			'last_name' => array(
				'type' => 'VARCHAR',
				'constraint' => 90,
			),
			
			'token' => array(
				'type' => 'VARCHAR',
				'constraint' => 255,
			),
			
			'is_active' => array(
				'type' => 'TINYINT',
				'constraint' => 1,
			),
			
			'created' => array(
				'type' => 'DATETIME',
			),
			
		));
		
		$this->dbforge->add_key('id',TRUE);
		$this->dbforge->create_table('users');
	}
	
	public function down(){
		$this->dbforge->drop_table('users');
	}
	
}